Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Class MaxBytesExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.bouncycastle.crypto.RuntimeCryptoException
                      org.bouncycastle.crypto.MaxBytesExceededException

All Implemented Interfaces:
  java.io.Serializable

    public class MaxBytesExceededException

extends RuntimeCryptoException

this exception is thrown whenever a cipher requires a change of key, iv or similar after x amount of bytes enciphered

See Also:
  Serialized Form

Constructor Summary
`MaxBytesExceededException()` base constructor.
`MaxBytesExceededException(java.lang.String message)` create an with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxBytesExceededException

    public MaxBytesExceededException()

  base constructor.

### MaxBytesExceededException

    public MaxBytesExceededException(java.lang.String message)

  create an with the given message.

  Parameters:
    `message` - the message to be carried with the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD